Mudança Repositorio.



  • Olá galera. Estou precisando a ajuda de vocês.

    Acompanhando o fórum, vejo que o pessoal esta usando o E2guardian e gostaria de usa-lo também.

    Porem não estou conseguindo mudar o repositório de pacotes.

    Já pesquisei no fórum os procedimentos para mudar e simplesmente não muda. Não sei o que possa esta fazendo de errado.

    Já rodei os comando pelo shell, pelo interface gráfica (Diagnostics/Command Prompt) e nada.

    Já tentei o pkg update e me retorna um erro.

    Config Pfsense

    2.3.4-RELEASE (i386)
    built on Wed May 03 15:22:11 CDT 2017
    FreeBSD 10.3-RELEASE-p19

    erro do pkg update

    pkg: Repository Unofficial load error: access repo file(/var/db/pkg/repo-Unofficial.sqlite) failed: No such file or directory
    Fetching meta.txz: 100%    260 B  0.3kB/s    00:01
    Fetching packagesite.txz: 100%    5 KiB  5.4kB/s    00:01
    Processing entries:  52%
    pkg: wrong architecture: FreeBSD:10:amd64 instead of FreeBSD:10:i386
    pkg: repository Unofficial contains packages with wrong ABI: FreeBSD:10:amd64
    Processing entries: 100%
    Unable to update repository Unofficial
    Updating pfSense-core repository catalogue…
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    Error updating repositories!



  • Você instalou o repositório de uma versão diferente da sua.

    pkg: wrong architecture: FreeBSD:10:amd64 instead of FreeBSD:10:i386

    Instale o repositório da versão correta e rode o pkg update novamente.



  • @marcelloc:

    Você instalou o repositório de uma versão diferente da sua.

    pkg: wrong architecture: FreeBSD:10:amd64 instead of FreeBSD:10:i386

    Instale o repositório da versão correta e rode o pkg update novamente.

    a principio eu instalei o repositório me baseando no conf. que o dashboard mostra

    2.3.4-RELEASE (i386)
    built on Wed May 03 15:22:11 CDT 2017
    FreeBSD 10.3-RELEASE-p19

    procurei o comando para mudar, e usei esse:

    fetch -q -o /usr/local/etc/pkg/repos/Unofficial.conf https://raw.githubusercontent.com/marcelloc/Unofficial-pfSense-packages/master/Unofficiali386.conf

    que é referente a minha arquitetura (x86). estou correto?

    agora, tem alguma forma de consertar isso? tipo voltar pra a original (se mudou alguma coisa mesmo).



  • Esse mesmo.

    Para remover o arquivo, basta executar um

    rm -f /usr/local/etc/pkg/repos/Unofficial.conf
    

    Tem muito tempo que não instalo ou testo o repositorio da versão 2.3 i386.

    A melhor versão do e2guardian está na 2.4, consegue fazer o upgrade? sua maquina suporta instalação 64 bits?



  • @marcelloc:

    Esse mesmo.

    Para remover o arquivo, basta executar um

    rm -f /usr/local/etc/pkg/repos/Unofficial.conf
    

    Tem muito tempo que não instalo ou testo o repositorio da versão 2.3 i386.

    A melhor versão do e2guardian está na 2.4, consegue fazer o upgrade? sua maquina suporta instalação 64 bits?

    Opa

    Finalmente deu certo… apareceu aqui o e2guardian.

    Em relação a mudar.... fazer o upgrade não confio muito... sou mais fazer uma instalação limpa do zero, mas agora estou sem tempo.

    vou ver aqui os posts e configurar ele.

    valeu.



  • Consegui compilar o e2guardian versão 5 para o pfsense 2.3.x, da uma olhada nesse video que mostra a instalação e configuração básica do pacote:

    https://www.youtube.com/watch?v=tao1tiXFefk